SearchSearch 

FSX sp2 backward compatability

Pro Member First Officer
oldsamer First Officer

Just noticed this on flyaway home page...

CLS is pleased to announce the release of several service packs to make products compatible with FSX Sp2 and acceleration.

I've been waiting for the 3rd parties to realize that older downloads don't work with FSX sp2. This is what happened to my favorite 3rd party download after installing sp2. I won't download anything else for FSX unless its advertized "for FSX sp2".

All times are GMT Page 1 of 1

Related Questions